/*
 Theme Name:   KSAS Blocks Child
 Theme URI:    https://krieger.jhu.edu
 Description:  Child theme of KSAS Blocks. Uses vertical navigation.
 Author:       KSAS Communications
 Author URI:   https://github.com/ksascomm
 Template:     ksas-blocks
 Version:      4.2.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  ksas-blocks-child
*/

/* ==========================================================================
   1. Core Layout & Global Element Elements
   ========================================================================== */

main {
    min-height: calc(100vh - 576px);
}

.hidden {
    display: none;
}

.w-3\/4 {
    width: 75%;
}

.flex-none {
    flex: none;
}

.py-4 {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.my-4 {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.text-grey-cool {
    color: #bfccd9;
}

/* ==========================================================================
   2. Typography & Entry Content Updates
   ========================================================================== */

.site-title {
    font-size: 2.5rem;
}

.site-title a {
    padding-top: 0.25rem;
}

.prose h1.entry-title {
    font-size: 2rem;
}

.entry-content p a {
    word-break: break-word;
}

.wp-element-caption,
.wp-caption-text,
.wp-block-image figcaption {
    color: #31261d;
}

.breadcrumbs {
    max-width: 100ch;
}

figure.wp-block-table {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.site-main .wp-block-image img[alt=""],
.site-main .wp-block-image img:not([alt]) {
    display: none;
}

/* ==========================================================================
   3. Theme Components
   ========================================================================== */

/* Navigation Modifiers */
#site-navigation li.authenticate a::after {
    display: inline-block;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font: var(--fa-font-solid);
    font-weight: 900;
    content: "\f2f6";
    padding-left: 0.5rem;
}

#site-navigation li.external a::after {
    display: inline-block;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font: var(--fa-font-solid);
    font-weight: 900;
    content: "\f08e";
    padding-left: 0.5rem;
}

/* Sidebar Navigation */
.sidebar {
    padding-left: 0 !important;
    background: #f8f8f8;
    z-index: 1;
}

.sidenav {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.sidenav li {
    margin-top: 0.5rem;
}

.sidenav li small {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 60%;
    display: block;
    margin-top: 5px;
}

.sidenav a {
    font-size: 1rem;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    padding-left: 1rem;
    display: block;
    color: #002d72;
    letter-spacing: -0.03rem;
}

.sidenav a:hover {
    background: rgba(0, 0, 0, 0.05);
}

.sidenav li.current_page_item>a {
    background: #002d72;
    color: #fefefe;
}

.sidenav .label {
    background-color: #ddd;
    color: #777;
    margin-left: 5px;
    padding: 0.22222rem 0.44444rem 0.22222rem;
    font-size: 0.61111rem;
}

.sidenav-title {
    background: #e6e6e6;
    text-transform: uppercase;
    font-size: 1.25rem;
    line-height: 1;
    padding-top: 1rem;
    padding-left: 0.9rem;
    margin-bottom: -10px;
}

.sidenav ul.sub-menu li a {
    padding-left: 1.75rem;
}

.sidenav ul.sub-menu li ul.sub-menu li a {
    padding-left: 2.5rem;
}

/* Sidebar Search Box */
.sidebar .search-form {
    padding: 0.5rem;
    padding-left: 1.5rem;
    margin-bottom: 0.5rem;
}

.sidebar .search-form hr {
    border: 0;
    height: 0;
    margin-top: 0px;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.sidebar .search-form .search-field,
.sidebar .search-form .search-submit {
    margin-left: 0rem;
}

.sidebar .search-form .search-field {
    padding-left: 0.5rem;
    font-size: 1.125rem;
}

.sidebar .search-form .search-submit {
    font-size: 0.9rem;
    background: #002d72;
    color: #fefefe;
    padding: 0.5rem;
}

/* Homepage Widgets & Sections */
.news-section {
    margin-top: calc(var(--spacing) * 12);
    margin-bottom: calc(var(--spacing) * 24);
}

.news-section a.button {
    margin-right: 2rem;
}

.home .front-widget-area {
    display: flex;
    flex-direction: column;
}

.home .widget {
    background: #fefefe;
    border: 1px solid hsla(0, 0%, 4%, 0.25) !important;
    box-shadow: none;
    margin: 1rem;
    padding: 1rem;
    width: inherit;
}

.home .front-widget-area .widget img,
.home .front-widget-area .widget .textwidget p {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.textwidget li {
    line-height: 1.5;
    font-size: 1rem;
}

/* People Directory */
.people {
    max-width: 85ch;
}

.people h3 {
    font-size: 1.875rem;
    line-height: 2.25rem;
    font-weight: 700;
}

.people p.interests {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.prose .people .contact-info ul {
    margin-block: 0;
    padding-left: 0;
    list-style-type: none;
}

.prose .people .contact-info li {
    margin: 0;
    padding-left: 0;
}

.prose .people .contact-info p {
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
}

.prose .people .contact-info .position p {
    font-size: 1.25rem;
}

/* ==========================================================================
   4. WordPress Alignment Options
   ========================================================================== */

.entry-content>*:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.is-style-wide) {
    max-width: 85ch;
    width: calc(100% - 1rem);
}

[class*="__inner-container"]>*:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.is-style-wide) {
    max-width: 85ch;
    width: 100%;
}

.aligncenter,
.alignleft,
.alignright,
.alignwide {
    margin-top: 2rem;
    margin-right: auto;
    margin-bottom: 2rem;
    margin-left: auto;
}

[class*="__inner-container"]>*:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright) {
    margin-left: auto;
    margin-right: auto;
}

.aligncenter,
.aligncenter img {
    margin-left: auto;
    margin-right: auto;
}

.alignfull {
    margin-top: 2rem;
    margin-right: auto;
    margin-bottom: 2rem;
    margin-left: auto;
    max-width: 100vw;
    position: relative;
    width: 100%;
}

[class*="__inner-container"]>.alignfull {
    max-width: 100%;
}

.alignwide {
    max-width: 120rem;
    position: relative;
    width: calc(100% - 4rem);
}

[class*="__inner-container"]>.alignwide {
    width: 100%;
}

.alignleft,
.alignright {
    max-width: 50%;
}

.alignleft {
    /*rtl:ignore*/
    float: left;
    margin: 0.3rem 2rem 2rem 2rem;
}

.alignright {
    /*rtl:ignore*/
    float: right;
    margin: 0.3rem 2rem 2rem 2rem;
}

[class*="wp-block"].alignfull:not(.has-background) [class*="__inner-container"]>.alignleft,
[class*="wp-block"].alignfull:not(.has-background) [class*="__inner-container"]>p .alignleft,
[class*="wp-block"].alignfull:not(.has-background) [class*="__inner-container"]>.wp-block-image .alignleft {
    /*rtl:ignore*/
    margin-left: 2rem;
}

[class*="wp-block"].alignfull:not(.has-background) [class*="__inner-container"]>.alignright,
[class*="wp-block"].alignfull:not(.has-background) [class*="__inner-container"]>p .alignright,
[class*="wp-block"].alignfull:not(.has-background) [class*="__inner-container"]>.wp-block-image .alignright {
    /*rtl:ignore*/
    margin-right: 2rem;
}

.alignfull>figcaption,
.alignfull>.wp-caption-text {
    margin-left: auto;
    margin-right: auto;
    max-width: 58rem;
    width: calc(100% - 4rem);
}

/* ==========================================================================
   5. Media Queries (Ordered Contextually Mobile-to-Desktop)
   ========================================================================== */

/* --- Mobile Maximum Breakpoints --- */

@media screen and (max-width: 600px) {
    .shield {
        width: 200px;
    }

    .site-title {
        font-size: 1.75rem;
    }

    .entry-content>*:not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.is-style-wide) {
        width: 100%;
    }

    .news-section .front.prose {
        padding: 0 0.5rem;
    }

    .news-section .prose h2 {
        font-size: 1.5rem;
    }

    .news-section a.button {
        margin-right: 0.5rem;
    }
}

@media screen and (max-width: 1000px) {
    .site-main {
        padding: 0rem 1rem;
    }
}

/* --- Fixed Width / Explicit Unit Breakpoints --- */

@media screen and (min-width: 500px) {
    main {
        min-height: calc(100vh - 650px);
    }
}

@media screen and (min-width: 576px) and (max-width: 990px) {
    .entry-content,
    .entry-header {
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }
}

@media (min-width: 700px) {
    .section-inner {
        width: calc(100% - 2rem) !important;
    }
}

@media only screen and (width >= 768px) {
    #primary-menu>.menu-item.current-menu-parent>a {
        box-shadow: none;
    }

    .home .front-widget-area {
        flex-direction: row;
    }

    .home .front-widget-area .widget {
        flex: 1 1 0;
        width: 0;
    }

    .menu-toggle {
        display: none !important;
    }
}

@media screen and (min-width: 1000px) {
    main {
        min-height: calc(100vh - 395px);
    }

    .slider.swiper-container.alignfull {
        width: 75vw;
        margin-top: 0;
        margin-bottom: 0;
        margin-left: calc(65% - 50vw);
    }

    .header-inner {
        padding: 1.4rem 0 !important;
    }
}

@media screen and (min-width: 1000px) and (max-width: 1099px) {
    h1.site-title {
        margin-left: 3rem;
    }
}

@media screen and (min-width: 1500px) {
    .slider.swiper-container.alignfull {
        margin-left: calc(70% - 50vw) !important;
    }
}

/* --- Em/Rem Layout Breakpoints --- */

@media screen and (min-width: 37.5em) {
    .menu-toggle {
        display: block !important;
    }

    .main-navigation li {
        float: inherit !important;
    }
}

@media screen and (min-width: 37.5em) and (max-width: 767px) {
    .main-navigation ul {
        display: none !important;
    }

    .main-navigation.toggled ul {
        display: inherit !important;
    }
}

@media (min-width: 48rem) {
    .md\:flex-row-reverse {
        flex-direction: row-reverse;
    }
}

@media screen and (min-width: 62rem) {
    .lg\:flex-nowrap {
        flex-wrap: nowrap;
    }

    .prose h1.entry-title {
        font-size: 2.25rem;
        max-width: 50ch;
        line-height: 1.5;
        margin: 1rem 0;
    }

    .lg\:w-1\/5 {
        width: 20%;
    }

    .lg\:w-4\/5 {
        width: 80%;
    }

    .lg\:block {
        display: block;
    }

    .md\:flex-row-reverse .site-main {
        padding-left: 3rem;
    }
}

@media screen and (min-width: 62rem) and (max-width: 999px) {
    .sidebar {
        display: none;
    }
}

@media (width >= 64rem) {
    .lg\:p-0 {
        padding: calc(var(--spacing) * 0);
    }

    .lg\:text-xl {
        font-size: var(--text-xl);
        line-height: var(--text-xl--line-height);
    }

    .home .site-main .article-excerpt .entry-content p {
        max-width: 90ch !important;
    }
}

@media (min-width: 1280px) {
    .entry-content>.alignwide {
        width: inherit;
        margin-left: 0rem;
    }

    .sidenav a {
        font-size: 1.125rem;
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
        line-height: 1.2;
    }

    .sidenav ul.sub-menu li a {
        padding-left: 2.5rem;
    }

    .sidenav ul.sub-menu li ul.sub-menu li a {
        padding-left: 3.5rem;
    }
}

/* ==========================================================================
   6. Tailwind Layers Extensions
   ========================================================================== */

@layer utilities {
    @media (min-width: 64rem) {
        .headshot {
            display: inline-block !important;
        }
    }
}